# Created by pyp2rpm-3.3.1
%global pypi_name argon2-cffi

Name:           python-%{pypi_name}
Version:        21.3.0
Release:        %mkrel 1
Summary:        The secure Argon2 password hashing algorithm
Group:          Development/Python
License:        MIT
URL:            https://argon2-cffi.readthedocs.io/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cffi) >= 1.0.0
BuildRequires:  python3dist(flit-core)
# for docs
BuildRequires:  python3dist(argon2-cffi-bindings)
BuildRequires:  python3dist(importlib-metadata)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-notfound-page)
BuildRequires:  python3dist(furo)
# for tests
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(coverage[toml])
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(hypothesis)

%description
CFFI-based Argon2 Bindings for Python.

%package -n     python3-%{pypi_name}
Summary:        The secure Argon2 password hashing algorithm
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-%{pypi_name}-doc < 21.3.0

%description -n python3-%{pypi_name}
CFFI-based Argon2 Bindings for Python.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files argon2

# generate html docs
PYTHONPATH=%{buildroot}%{python3_sitelib} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE docs/license.rst
%doc README.rst
%doc html


%changelog
* Sun Jan 15 2023 wally <wally> 21.3.0-1.mga9
+ Revision: 1933514
- new version 21.3.0

* Thu Nov 03 2022 kekepower <kekepower> 21.1.0-1.mga9
+ Revision: 1902180
- Update to version 21.1.0

* Tue Mar 29 2022 umeabot <umeabot> 20.1.0-4.mga9
+ Revision: 1832701
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 20.1.0-3.mga9
+ Revision: 1779043
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 20.1.0-2.mga9
+ Revision: 1708160
- rebuild for python 3.9

* Fri Jun 12 2020 kekepower <kekepower> 20.1.0-1.mga8
+ Revision: 1592964
- Update to version 20.1.0
- Rename package python-argon2_cffi to python-argon2-cffi
- Fix duplicate packages with different versions
- Update to version 19.2.0

* Sun Feb 16 2020 umeabot <umeabot> 19.1.0-3.mga8
+ Revision: 1533118
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 19.1.0-2.mga8
+ Revision: 1443543
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 04 2019 wally <wally> 19.1.0-1.mga8
+ Revision: 1427266
- new version 19.1.0
- remove unneeded BRs and requires
- skip tests for python2 (no more python2 support in pytest)
- fix descriptions

* Mon Jan 07 2019 shlomif <shlomif> 18.3.0-1.mga7
+ Revision: 1351086
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 18.1.0-2.mga7
+ Revision: 1300440
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 18.1.0-1.mga7
+ Revision: 1224548
- BR python-funcsigs
- BR python2-enum34
- imported package python-argon2_cffi

